import matplotlib.pyplot as plt
import numpy as np


#pie chart with second slice exploded
fig = plt.figure()
ax = fig.add_axes([0,0,1,1])
explode = (0, 0.1, 0, 0)  # only "explode" the 2nd slice
models = ['model 1','model 2','model 3','model 4']
number_in_top_half = [5,4,3,0]
ax.pie(number_in_top_half, explode = explode, labels = models,autopct='%1.2f%%')
plt.show()

#pie chart with 1st and 3rd slices exploded
fig = plt.figure()
#fig = plt.figure(figsize=(8,12))
ax = fig.add_axes([0,0,1,1])
models = ['model 1','model 2','model 3','model 4']
explode = (0.1, 0, 0.3, 0)  # "explode" 1st and 3rd slices
number_in_bottom_half = [1,2,3,6]
ax.pie(number_in_bottom_half, explode = explode, labels = models,autopct='%1.2f%%')
plt.show()

#pie chart with 1st, 3rd, and 4th slices exploded
fig = plt.figure()
fig = plt.gcf()
fig.set_size_inches(10,16)
#fig = plt.figure(figsize=(12,12))
ax = fig.add_axes([0,0,1,1])
models = ['model 1','model 2','model 3','model 4']
explode = (0.1, 0, 0.3, 0.1)  # "explode" 1st, 3rd, and 4th slices
number_in_bottom_half = [1,2,3,6]
ax.pie(number_in_bottom_half, explode = explode, labels = models,autopct='%1.2f%%')
plt.show()
