import matplotlib.pyplot as plt
import numpy as np

#set-up for figure
fig, axs = plt.subplots(1, 2)
fig.suptitle('Side-by-side Pie Subplots', fontsize=16)

#data and label for subplots
data1 = [5,4,3,0]
data2 = [1,2,3,6]
models = ['model 1','model 2','model 3','model 4']

#configure left pie chart
ax = axs[0]
ax.set_title('Models in Top half')
ax.pie(data1, labels = models,autopct='%1.2f%%' )

#configure right pie chart
ax = axs[1]
ax.set_title('Models in Bottom Half')
ax.pie(data2, labels = models,autopct='%1.2f%%')

plt.show()
